# https://hub.docker.com/r/atlassian/confluence-server

image:
  repository: atlassian/confluence-server
  tag: 6.9.0
  pullPolicy: IfNotPresent

confluence:
  reverseProxyHost: confluence.corp.justin-tech.com
  reverseProxyPort: 30443
  reverseProxyScheme: https
  javaHeapSize: 1024m
  javaMemoryOptions: "-XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=10m"
  javaOptions: ""

synchrony:
  javaHeapSize: 1024m

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  path: /
  hosts:
    - confluence.corp.justin-tech.com
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

persistence:
  enabled: true
  accessMode: ReadWriteOnce
  size: 8Gi
  storageClass: nfs-client
  # existingClaim: existing-pvc

resources:
  limits:
    memory: 2048Mi
    cpu: 800m
  requests:
    memory: 2048Mi
    cpu: 0

nodeSelector: {}

tolerations: []

affinity: {}
